Bug 264958 - krita loses the preset information when opening a preset as an image
Summary: krita loses the preset information when opening a preset as an image
Status: RESOLVED LATER
Alias: None
Product: krita
Classification: Unclassified
Component: File formats (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR major
Target Milestone: ---
Assignee: Cyrille Berger
URL:
Keywords: release_blocker
Depends on:
Blocks:
 
Reported: 2011-01-31 14:32 UTC by Halla Rempt
Modified: 2011-11-04 19:52 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Halla Rempt 2011-01-31 14:32:05 UTC
krita loses the preset information when opening a preset as an image and saving it. Eeeek!
Comment 1 Cyrille Berger 2011-02-07 21:42:06 UTC
SVN commit 1219280 by berger:

Fix: preserve brush presets data when editing a kpp file in Krita

CCBUG: 264958



 M  +16 -0     kis_png_converter.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1219280
Comment 2 Halla Rempt 2011-05-22 11:38:31 UTC
Cyrille wants to fix this in another way; he's going to look into it. For now, loading kpp's as png in krita is safe.
Comment 3 Halla Rempt 2011-11-04 19:52:52 UTC
Resolved as later, the current code works, but we want a better fix.